Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.filter
Interface IFilterPlugin

All Superinterfaces:
  IAnalysisComponent, IPlugin

All Known Implementing Classes:
  AbstractAggregatedCallTreeFilter, AbstractCallTreeFilter, AbstractDependencyGraphFilter, AbstractExecutionTraceProcessingFilter, AbstractFilterPlugin, AbstractGraphFilter, AbstractGraphProducingFilter, AbstractInvalidExecutionTraceProcessingFilter, AbstractMessageTraceProcessingFilter, AbstractTraceAnalysisFilter, AbstractTraceProcessingFilter, AbstractUpdateableFilterPlugin, AbstractWebVisualizationFilterPlugin, AggregatedAllocationComponentOperationCallTreeFilter, AggregatedAssemblyComponentOperationCallTreeFilter, AnalysisThroughputFilter, AnomalyDetectionFilter, AnomalyScoreCalculationFilter, AnomalyScoreVisualizationFilter, ComponentDependencyGraphAllocationFilter, ComponentDependencyGraphAssemblyFilter, ContainerDependencyGraphFilter, CountingFilter, CPUUtilizationDisplayFilter, CurrentTimeEventGenerationFilter, DescriptionDecoratorFilter, EventRecordTraceCounter, EventRecordTraceReconstructionFilter, ExecutionRecordTransformationFilter, ExecutionTraceWriterFilter, ExtractionFilter, ForecastingFilter, GCDisplayFilter, GraphWriterPlugin, InvalidExecutionTraceWriterFilter, ListCollectionFilter, MemSwapUtilizationDisplayFilter, MessageTraceWriterFilter, MethodAndComponentFlowDisplayFilter, MonitoringRecordLoggerFilter, MonitoringThroughputFilter, OperationDependencyGraphAllocationFilter, OperationDependencyGraphAssemblyFilter, PlainTextWebVisualization, RealtimeRecordDelayFilter, RecordConverter, SequenceDiagramFilter, SessionReconstructionFilter, StringBufferFilter, SystemModel2FileFilter, TeeFilter, ThreadsStatusDisplayFilter, TimeSeriesPointAggregatorFilter, TimestampFilter, TraceAggregationFilter, TraceCallTreeFilter, TraceColoringFilter, TraceEquivalenceClassFilter, TraceEventRecords2ExecutionAndMessageTraceFilter, TraceIdFilter, TraceReconstructionFilter, TypeFilter, UniteMeasurementPairFilter

    public interface IFilterPlugin

extends IPlugin

This is the interface for filter plugins within Kieker.

Since:
  1.2
Author:
  Andre van Hoorn, Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Method Summary

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentConfiguration, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState, init, terminate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net